/**
 * Button component
 */

.btn {
  border-color: transparent;
  border-style: solid;
  border-width: $border__width;
  cursor: pointer;

  &.btn__size--small {
    padding: 4px 8px;
  }

  &.btn__size--normal {
    padding: 8px 12px;
  }

  &.btn__size--medium {
    padding: 12px 18px;
  }

  &.btn__size--big {
    padding: 16px 24px;
  }

  &.btn__size--mega {
    padding: 20px 32px;
    font-size: 1.1825rem;
  }

  &.btn__width--full {
    display: block;
    text-align: center;
    width: 100%;
  }

  &.btn--primary{
      padding: 12px 40px;
  }

  &:disabled {
    background: $color__grey--regent;
    color: $color__text;
    cursor: not-allowed;
  }
}



/* Link higtlight */

.link__highlight {
  border-bottom: $border__width solid $color__link;
}

@media only screen and (max-width: $wrap__sm) {
  .btn {
    &.btn__size--big {
      padding: 14px 22px;
    }

    &.btn__size--mega {
      padding: 16px 28px;
    }
  }
}
